import os
import base64
import zipfile
import logging

import paths
import user_login

def read_login_zip(package_name, path):
    path = path
    package_path = os.path.join(path, package_name)
    if os.path.exists(package_path):
        zf = zipfile.ZipFile(package_path, 'r')
        packed_info = zf.read('info')
        packed_info = packed_info.split('\n')
        packed_info.remove('')
        for number in range(0, len(packed_info)):
            packed_info[number] = base64.b64decode(packed_info[number])
        return packed_info
    else:
        print "Not found"

def read_login():
    logger = logging.getLogger(__name__)
    pack_name = 'login_info.bin'
    paths_to_settings = paths.get_paths_to_settings_folder()
    for path in paths_to_settings:
        logger.info("Searching for login info in %s" % path)
        try:
            login_info = read_login_zip(pack_name, path)
            if login_info:
                logger.info('Login info loaded from ' + path)
                try:
                    os.remove(os.path.join(path, pack_name))
                except:
                    pass
                return login_info
        except Exception as e:
            logger.warning('Failed loading login from ' + path + '. Error: ' + e.message)
        logger.info("Can't read login info in %s" % str(path))
    logger.info('No login info found')
    return (None, None)

if __name__ == '__main__':
    login, password = read_login()
    if login:
        user_login.write_login(login, password)